List RAG documents
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/rag/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/rag/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/rag/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"source": "<string>",
"type": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
]
}List RAG documents
List the metadata records currently tracked for a project RAG store.
GET
/
projects
/
{project_reference}
/
rag
/
documents
List RAG documents
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project ID or slug.
Response
RAG documents for the project.
Project RAG documents in storage order.
Show child attributes
Show child attributes
⌘I